package com.leromro.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.common.core.domain.ListPermission;
import com.leromro.core.domain.SecondOrder;
import com.leromro.core.domain.dto.HomePageDTO;
import com.leromro.core.domain.dto.AuthSettlementOrderListDTO;
import com.leromro.core.domain.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SecondOrdersMapper extends BaseMapper<SecondOrder> {
    int insertList(List<SecondOrder> secondOrder);

    List<VolunteerOrdersVO> selectVolunteerOrder(@Param("userId") Long userId,@Param("orderStatus") Long orderStatus);

    List<SecondOrder> getCurrentOrgSecondOrderList(ListPermission listPermission,@Param("dto") HomePageDTO dto);

    List<SecondOrder> getTodayAllOrderList(@Param("dto") HomePageDTO dto);

    List<SettlementOrderListVO> selectSettlementOrderList(AuthSettlementOrderListDTO settlementOrderListDTO);

    void updatedeptAmountList(List<SecondOrder> secondOrderList);

    SettlementOrderDetailVO getSettlementOrderDetail(Long secondOrderId);

    List<SecondOrderInfoVO> selectSecondOrderInfoVO(Long mainOrderId);

    AppSecoundOrderInfoVO selectAppSecondOrderInfo(Long secondOrderId);

    WebSecondOrderInfoVO selectWebSecondOrderInfo(Long secondOrderId);
}
